#ifndef PROTO_SOCKET_H
#define PROTO_SOCKET_H
/*
 * $Id: socket.h,v 1.4 1993/07/07 14:47:29 too Exp $
 *
 * Copyright  1993 AmiTCP/IP Group, <amitcp-group@hut.fi>
 *                  Helsinki University of Technology, Finland.
 *                  All rights reserved.
 *
 * SASC Prototypes for bsdsocket.library
 *
 */

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

extern struct Library *SocketBase;
#include <clib/socket_protos.h>
#include <pragmas/socket_pragmas.h>

#define select inline_select
#define inet_ntoa inline_inet_ntoa
#define inet_makeaddr inline_inet_makeaddr
#define inet_lnaof inline_inet_lnaof
#define inet_netof inline_inet_netof

#include <clib/socket_inlines.h>

#endif /* PROTO_SOCKET_H */
