/*
 * readargs.h
 *
 * Author: Tomi Ollila <too@cs.hut.fi>
 *
 * Copyright (c) 1993 AmiTCP/IP Group, <amitcp-group@hut.fi>
 *                    All rights reserved.
 *
 * Created: Fri Sep 24 15:15:18 1993 too
 * Last modified: Sat Oct 16 16:57:43 1993 too
 *
 * $Id: readargs.h,v 1.1 1993/10/24 12:50:39 too Exp $
 *
 * HISTORY
 * $Log: readargs.h,v $
 * Revision 1.1  1993/10/24  12:50:39  too
 * Initial revision
 *
 * Revision 1.1  1993/10/24  12:50:39  too
 * Initial revision
 *
 */

#ifndef _READARGS_H_
#define _READARGS_H_

#ifndef DOS_RDARGS_H
#include <dos/rdargs.h>
#endif

struct readargs {
  struct RDArgs ra_Private; /* freeargs private cleanup pointer */
  LONG		ra_Private2; /* other private data (allocated memory size) */
  LONG		ra_Args[0];
};

struct readargs * readargs(char * template, int itemcount,
			   char * buffer, int buffersize);

void freeargs(struct readargs * rargs);

#endif /* _READARGS_H_ */
