/*
 * cleanup.h
 *
 * Author: Tomi Ollila <too@cs.hut.fi>
 *
 * 	Copyright (c) 1993 Tomi Ollila
 * 	    All rights reserved
 *
 * Created: Thu Nov  4 21:28:15 1993 too
 * Last modified: Wed Nov 10 15:04:39 1993 too
 *
 * HISTORY
 * $Log: cleanup.h,v $
 * Revision 1.1  1993/11/17  11:47:44  too
 * Initial revision
 *
 * Revision 1.1  1993/11/17  11:47:44  too
 * Initial revision
 *
 */

#ifndef _CLEANUP_H_
#define _CLEANUP_H_

/*
 * Cleanup stuff
 */
struct CleanUp {
  struct Library *   cu_SocketBase;
  struct MsgPort *   cu_timermsgport;	/* message port for timer replies */
  struct IORequest * cu_itr;		/* timer.device info */
  BYTE		     cu_applsigbit;
};

#define SocketBase	CU RFI cu_SocketBase
#define timermsgport	CU RFI cu_timermsgport
#define itr		CU RFI cu_itr
#define applsigbit	CU RFI cu_applsigbit

int clean(struct CleanUp *, int retval);

#endif /* _CLEANUP_H_ */
